%% Load data
load sample12_analysis_manual

%% Get image, mask, and data
% img = current_save(end).gs(1:data_dic_save.dispinfo.spacing+1:end,1:data_dic_save.dispinfo.spacing+1:end);
img = im2double(imread(reference_save.name));
img = img(1:data_dic_save.dispinfo.spacing+1:end,1:data_dic_save.dispinfo.spacing+1:end);
mask = data_dic_save.displacements(end).roi_ref_formatted.mask;
data = data_dic_save.strains(end).plot_eyy_ref_formatted;

%% Call line data function
lineplot(data,mask,img)